Page MenuHomePhabricator

Fix asm printing of associated sections
ClosedPublic

Authored by eugenis on Feb 17 2017, 5:09 PM.

Details

Reviewers
pcc
rafael
Summary

Make MCSectionELF::AssociatedSection be a link to a symbol, because
that's how it works in the assembly, and use it in the asm printer.

Diff Detail

Repository
rL LLVM

Event Timeline

pcc added inline comments.Feb 17 2017, 6:07 PM
lib/MC/MCSectionELF.cpp
165

(from D29104) Would AssociatedSymbol ever be null?

eugenis updated this revision to Diff 89001.Feb 17 2017, 6:18 PM
eugenis added inline comments.
lib/MC/MCSectionELF.cpp
165

should never happen

pcc accepted this revision.Feb 17 2017, 6:23 PM

LGTM

This revision is now accepted and ready to land.Feb 17 2017, 6:23 PM
eugenis updated this revision to Diff 89267.Feb 21 2017, 1:03 PM
eugenis updated this revision to Diff 89720.Feb 24 2017, 1:59 PM

Rebased.
The parent revision has been submitted, this one is ready.
Rafael, are you OK with this?

Friendly ping.

Hi,

I'd really like to submit this some time soon. Any comments?

eugenis updated this revision to Diff 91762.Mar 14 2017, 12:35 PM

address Rafael's comments

eugenis closed this revision.Mar 14 2017, 12:41 PM

Committed as r297769